package com.fs.hospital.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fs.company.domain.CompanyDept;
import com.fs.company.domain.CompanyDeptTreeSelect;

import java.util.List;
import java.util.stream.Collectors;

public class HospitalDeptTreeSelect {
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<HospitalDeptTreeSelect> children;

    public HospitalDeptTreeSelect()
    {

    }
    public HospitalDeptTreeSelect(HospitalDept dept) {
        this.id = dept.getDeptId();
        this.label = dept.getDeptName();
        this.children = dept.getChildren().stream().map(HospitalDeptTreeSelect::new).collect(Collectors.toList());

    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<HospitalDeptTreeSelect> getChildren() {
        return children;
    }

    public void setChildren(List<HospitalDeptTreeSelect> children) {
        this.children = children;
    }
}
